com.r3corda.core.contracts / Issued

# Issued

`data class Issued<out P>`

Definition for an issued product, which can be cash, a cash-like thing, assets, or generally anything else thats quantifiable with integer quantities.

### Parameters

`P` - the type of product underlying the definition, for example Currency.

### Constructors

<init> | `Issued(issuer: PartyAndReference, product: P)` Definition for an issued product, which can be cash, a cash-like thing, assets, or generally anything else thats quantifiable with integer quantities.

### Properties

issuer | `val issuer: PartyAndReference`
product | `val product: P`

### Functions

toString | `fun toString(): String`

### Extension Properties

OBLIGATION_DEF | `val Issued<Currency>.OBLIGATION_DEF: Terms<Currency>`